<template>
    <div></div>
</template>

<script>
export default {
    data() {
        return {
            jsonSend: {},
            table: [{"schematic":false,"sex":false,"violence":false,"aac":false,"aacColor":false,"skin":true,"hair":true,"downloads":0,"categories":["elderly","family"],"synsets":["10161911-n"],"tags":["person","elderly","family"],"_id":2244,"created":"2007-12-12T09:57:36.000Z","lastUpdated":"2021-02-10T11:11:13.889Z","keywords":[{"type":2,"keyword":"grand-père","hasLocution":true,"plural":"grands-pères"},{"type":2,"keyword":"papi","hasLocution":false,"plural":"papis"}]},{"schematic":false,"sex":false,"violence":false,"aac":false,"aacColor":false,"skin":true,"hair":false,"downloads":0,"categories":["qualifying adjective","feeling"],"synsets":["01348155-s"],"tags":["communication","language","adjective","qualifying adjective","psychology","feeling","emotion"],"_id":2245,"created":"2007-12-12T09:58:31.000Z","lastUpdated":"2021-07-29T00:09:37.940Z","keywords":[{"type":4,"keyword":"ennuyeux","hasLocution":true,"plural":"ennuyeux"},{"keyword":"monotone","hasLocution":false,"type":4,"plural":"monotones"}]},{"schematic":false,"sex":false,"violence":false,"aac":false,"aacColor":false,"skin":true,"hair":true,"downloads":0,"categories":["elderly","family"],"synsets":["10162267-n"],"tags":["person","elderly","family"],"_id":2243,"created":"2007-12-12T09:56:39.000Z","lastUpdated":"2021-03-25T22:04:11.204Z","keywords":[{"type":2,"keyword":"grand-mère","hasLocution":true,"plural":"grands-mères"},{"type":2,"keyword":"mamie","hasLocution":false,"plural":"mamies"}]}]
        }  
    },
    created() {
        this.jsonGo()
    },
    methods: {
        async jsonGo() {
            console.log("Created")
            for(let i = 0; i < this.table.length; i++) {
                var link = document.createElement('a');
                link.href = "https://static.arasaac.org/pictograms/"+ this.table[i]._id +"/"+ this.table[i]._id +"_300.png";
                link.download = this.table[i]._id;
                document.body.appendChild(link);
                link.click();
                document.body.removeChild(link);
            }
        }
    }
}
</script>